## nvidia-persistenced 361.28

=== Makefile ===
#
# nvidia-persistenced: A daemon for maintaining persistent driver state,
# specifically for use by the NVIDIA Linux driver.
#
# Copyright (C) 2013 NVIDIA Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

##############################################################################
# include common variables and functions
##############################################################################

include utils.mk

##############################################################################
# assign variables
##############################################################################

NVIDIA_PERSISTENCED = $(OUTPUTDIR)/nvidia-persistenced

NVIDIA_PERSISTENCED_PROGRAM_NAME = "nvidia-persistenced"

MANPAGE_GZIP ?= 1

MANPAGE_not_gzipped = $(OUTPUTDIR)/nvidia-persistenced.1
MANPAGE_gzipped     = $(OUTPUTDIR)/nvidia-persistenced.1.gz

ifeq ($(MANPAGE_GZIP),1)
  MANPAGE = $(MANPAGE_gzipped)
else
  MANPAGE = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC    = $(OUTPUTDIR)/options.1.inc

##############################################################################
# The calling Makefile may export any of the following variables; we assign
# default values if they are not exported by the caller
##############################################################################

RPC_DIR ?= .
NVIDIA_CFG_DIR ?= .

##############################################################################
# The common-utils directory may be in one of two places: either elsewhere in
# the driver source tree when building nvidia-persistenced as part of the
# NVIDIA driver build (in which case, COMMON_UTILS_DIR should be defined by
# the calling makefile), or directly in the source directory when building
# from the nvidia-persistenced source tarball (in which case, the below
# conditional assignment should be used)
##############################################################################

COMMON_UTILS_DIR ?= common-utils

# include the list of source files; defines SRC
include dist-files.mk

# $(STAMP_C) defines the version string generated by utils.mk, containing
# information about the build environment.
SRC += $(STAMP_C)

include $(COMMON_UTILS_DIR)/src.mk
SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

# rpcgen generates code that emits unused variable warnings
$(call BUILD_OBJECT_LIST,$(RPC_SRC)): CFLAGS += -Wno-unused-variable

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I $(NVIDIA_CFG_DIR)
common_cflags += -I $(RPC_DIR)
common_cflags += -I .

include version.mk
common_cflags += -DPROGRAM_NAME=\"$(NVIDIA_PERSISTENCED_PROGRAM_NAME)\"
common_cflags += -D_BSD_SOURCE
common_cflags += -D_XOPEN_SOURCE=500
common_cflags += -ansi

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

ifneq ($(TARGET_OS),FreeBSD)
  LIBS += -ldl
endif

##############################################################################
# build rules
##############################################################################
.PHONY: all install NVIDIA_PERSISTENCED_install MANPAGE_install clean clobber

all: $(NVIDIA_PERSISTENCED) $(MANPAGE)

install: NVIDIA_PERSISTENCED_install MANPAGE_install

NVIDIA_PERSISTENCED_install: $(NVIDIA_PERSISTENCED)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(MANDIR)/$(notdir $<)

$(NVIDIA_PERSISTENCED): $(OBJS)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
		-o $@ $(OBJS) $(LIBS)
	$(call quiet_cmd,STRIP_CMD) $@

# define the rule to build each object file
$(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, \
	$(OBJS),$(NVIDIA_PERSISTENCED_PROGRAM_NAME)))

clean clobber:
	$(RM) -rf $(NVIDIA_PERSISTENCED) $(MANPAGE) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)

##############################################################################
# documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO_GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC = gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src,$(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
		$(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-persistenced.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) -D__HEADER__=$(AUTO_TEXT) -I $(OUTPUTDIR) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

## nvidia-persistenced 352.21

=== debian/changelog ===
nvidia-persistenced (352.21-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright: Upstream source is consistently licensed under Expat
    since 349.12, previously common-utils/* was under GPL-2.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch for
    nvidia-settings by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Jun 2015 17:28:54 +0200

nvidia-persistenced (343.13-1) unstable; urgency=low

  * Initial release.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Oct 2014 12:54:27 +0100

=== debian/control ===
Source: nvidia-persistenced
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper (>= 9),
 m4,
Standards-Version: 3.9.6
Homepage: https://github.com/NVIDIA/nvidia-persistenced
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-persistenced.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nvidia/nvidia-persistenced.git;a=summary

Package: nvidia-persistenced
Architecture: i386 amd64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
 nvidia-driver (<< 340.46-4~),
Replaces:
 nvidia-driver (<< 340.46-4~),
Description: daemon to maintain persistent software state in the NVIDIA driver
 When persistence mode is enabled, the daemon prevents the driver from
 releasing device state when the device is not in use.
 This can improve the startup time of new clients in this scenario.

## nvidia-persistenced 358.09

=== debian/changelog ===
nvidia-persistenced (358.09-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Nov 2015 16:44:03 +0100

nvidia-persistenced (358.09-1) unstable; urgency=medium

  * New upstream release.
  * Fix Vcs-Browser URL.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Nov 2015 02:22:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-persistenced.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-nvidia/nvidia-persistenced.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-persistenced.git
 
 Package: nvidia-persistenced
 Architecture: i386 amd64 armhf

## nvidia-persistenced 361.28

=== debian/changelog ===
nvidia-persistenced (361.28-1) unstable; urgency=medium

  * New upstream release.
  * Build for ppc64el.
  * Update Vcs-Git URL.
  * Bump Standards-Version to 3.9.7. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Feb 2016 01:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends:
  debhelper (>= 9),
  m4,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
-Vcs-Git: git://anonscm.debian.org/pkg-nvidia/nvidia-persistenced.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-persistenced.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-persistenced.git
 
 Package: nvidia-persistenced
-Architecture: i386 amd64 armhf
+Architecture: i386 amd64 armhf ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks:
  nvidia-driver (<< 340.46-4~),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# Redefine DATE to something stable to make the build reproducible
DATE		 = $(shell dpkg-parsechangelog -S Date)
# Cheat for user and hostname
WHOAMI		 = echo buildd
HOSTNAME_CMD	 = echo debian
export DATE WHOAMI HOSTNAME_CMD

%:
	dh $@ 

override_dh_auto_build:
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build

override_dh_auto_install:
	PREFIX="/usr" dh_auto_install

override_dh_installexamples:
	chmod -R a-sx,u=rwX,go=rX init
	dh_installexamples

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-persistenced/nvidia-persistenced-(.*).tar.(?:gz|bz2)

## nvidia-persistenced 367.18

=== debian/changelog ===
nvidia-persistenced (367.18-1) unstable; urgency=medium

  * New upstream release.
    * Allows overriding the stripping options.
  * Enable more hardening.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 May 2016 09:53:44 +0200

nvidia-persistenced (364.15-2) unstable; urgency=medium

  * Multi-Arch: foreign, not allowed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Apr 2016 23:45:13 +0200

nvidia-persistenced (364.15-1) unstable; urgency=medium

  * New upstream release.
  * Mark as Multi-Arch: allowed.
  * Simplify rules and clean up properly.
  * Fix upstream build system to allow creation of unstripped binaries.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Apr 2016 23:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper (>= 9),
+ dpkg-dev (>= 1.17.0),
  m4,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-persistenced.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-persistenced.git
 
 Package: nvidia-persistenced
 Architecture: i386 amd64 armhf ppc64el
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks:
  nvidia-driver (<< 340.46-4~),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

# Redefine DATE to something stable to make the build reproducible
BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
export DATE		 = date -d "$(BUILDDATE)"
# Cheat for user and hostname
export WHOAMI		 = echo buildd
export HOSTNAME_CMD	 = echo debian

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif


%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	chmod -R a-sx,u=rwX,go=rX init

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r _out

## nvidia-persistenced 375.26

=== Makefile ===
--- 
+++ 
@@ -119,10 +119,10 @@
 	$(MKDIR) $(MANDIR)
 	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(MANDIR)/$(notdir $<)
 
-$(NVIDIA_PERSISTENCED): $(OBJS)
+$(eval $(call DEBUG_INFO_RULES, $(NVIDIA_PERSISTENCED)))
+$(NVIDIA_PERSISTENCED).unstripped: $(OBJS)
 	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) \
 		-o $@ $(OBJS) $(LIBS)
-	$(call quiet_cmd,STRIP_CMD) $@
 
 # define the rule to build each object file
 $(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

=== debian/changelog ===
nvidia-persistenced (375.26-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 03:21:35 +0100

nvidia-persistenced (367.57-1) unstable; urgency=medium

  * New upstream release.
    - Fixed a bug in nvidia-persistenced that caused it to incorrectly delete
      the PID file if a second instance of the daemon is started.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Oct 2016 16:28:30 +0200

nvidia-persistenced (367.44-1) unstable; urgency=medium

  * New upstream release.
    - Changed the behavior of nvidia-persistenced to enable persistence mode
      by default for all GPUs when the daemon is started.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Oct 2016 15:10:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dpkg-dev (>= 1.17.0),
  m4,
 Standards-Version: 3.9.8

## nvidia-persistenced 390.87

=== debian/changelog ===
nvidia-persistenced (390.87-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Feb 2019 23:11:08 +0100

nvidia-persistenced (390.87-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Jan 2019 22:45:48 +0100

nvidia-persistenced (390.25-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Mar 2018 04:13:59 +0100

nvidia-persistenced (384.111-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 00:36:01 +0100

nvidia-persistenced (384.111-1) unstable; urgency=medium

  * New upstream release.
  * B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Bump Standards-Version to 4.1.3. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jan 2018 18:40:41 +0100

nvidia-persistenced (384.98-1) unstable; urgency=medium

  * New upstream release.
  * Use https:// URL in the watch file.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Set Rules-Requires-Root: no.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Use a fixed OUTPUTDIR for improved reproducibility.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Nov 2017 02:50:48 +0100

nvidia-persistenced (375.26-2) unstable; urgency=medium

  * Add Depends: libnvidia-cfg1 | libnvidia-cfg1-any, thanks to Gero Müller.
  * Do not build for ppc64el which does not have a curent driver packaged.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jan 2017 16:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,20 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper (>= 10),
- dpkg-dev (>= 1.17.0),
+ dpkg-dev (>= 1.18.8),
  m4,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
-Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-persistenced.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-persistenced.git
+Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
 
 Package: nvidia-persistenced
-Architecture: i386 amd64 armhf ppc64el
+Architecture: i386 amd64 armhf
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libnvidia-cfg1 | libnvidia-cfg1-any,
+ ${shlibs:Depends}, ${misc:Depends}
 Breaks:
  nvidia-driver (<< 340.46-4~),
 Replaces:

## nvidia-persistenced 410.93

=== debian/changelog ===
nvidia-persistenced (410.93-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now builds reproducibly.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 18:23:51 +0100

nvidia-persistenced (396.54-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 12).
  * Drop Breaks+Replaces against packages predating jessie.
  * Start nvidia-persistenced as a regular service, thanks to Cédric Dufour.
    (Closes: #915381)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 15:01:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: no
@@ -17,13 +17,13 @@
 Package: nvidia-persistenced
 Architecture: i386 amd64 armhf
 Multi-Arch: foreign
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 | libnvidia-cfg1-any,
- ${shlibs:Depends}, ${misc:Depends}
-Breaks:
- nvidia-driver (<< 340.46-4~),
-Replaces:
- nvidia-driver (<< 340.46-4~),
+ adduser,
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: daemon to maintain persistent software state in the NVIDIA driver
  When persistence mode is enabled, the daemon prevents the driver from
  releasing device state when the device is not in use.

## nvidia-persistenced 410.104

=== debian/changelog ===
nvidia-persistenced (410.104-1) unstable; urgency=medium

  * New upstream release.
  * Adjust libnvidia-cfg1 dependencies to automatically switch to the legacy
    package on upgrades from stretch to buster on [!amd64].

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2019 18:07:00 +0100

## nvidia-persistenced 418.56

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
 
 RPC_DIR ?= .
 NVIDIA_CFG_DIR ?= .
+NVIDIA_NUMA_DIR ?= .
 
 ##############################################################################
 # The common-utils directory may be in one of two places: either elsewhere in
@@ -72,10 +73,6 @@
 # include the list of source files; defines SRC
 include dist-files.mk
 
-# $(STAMP_C) defines the version string generated by utils.mk, containing
-# information about the build environment.
-SRC += $(STAMP_C)
-
 include $(COMMON_UTILS_DIR)/src.mk
 SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))
 
@@ -86,6 +83,7 @@
 
 common_cflags += -I $(COMMON_UTILS_DIR)
 common_cflags += -I $(NVIDIA_CFG_DIR)
+common_cflags += -I $(NVIDIA_NUMA_DIR)
 common_cflags += -I $(RPC_DIR)
 common_cflags += -I .
 
@@ -93,7 +91,7 @@
 common_cflags += -DPROGRAM_NAME=\"$(NVIDIA_PERSISTENCED_PROGRAM_NAME)\"
 common_cflags += -D_BSD_SOURCE
 common_cflags += -D_XOPEN_SOURCE=500
-common_cflags += -ansi
+common_cflags += -std=c99
 
 CFLAGS += $(common_cflags)
 HOST_CFLAGS += $(common_cflags)
@@ -127,12 +125,8 @@
 # define the rule to build each object file
 $(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
 
-# define the rule to generate $(STAMP_C)
-$(eval $(call DEFINE_STAMP_C_RULE, \
-	$(OBJS),$(NVIDIA_PERSISTENCED_PROGRAM_NAME)))
-
 clean clobber:
-	$(RM) -rf $(NVIDIA_PERSISTENCED) $(MANPAGE) *~ $(STAMP_C) \
+	$(RM) -rf $(NVIDIA_PERSISTENCED) $(MANPAGE) *~ \
 		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
 		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)

=== debian/changelog ===
nvidia-persistenced (418.56-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2019 16:15:55 +0200

nvidia-persistenced (415.27-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Apr 2019 05:44:34 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,10 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libnvidia-cfg1 | libnvidia-cfg1-any,
+ libnvidia-cfg1 [amd64]
+ | libnvidia-legacy-390xx-cfg1
+ | libnvidia-legacy-340xx-cfg1
+ | libnvidia-cfg1-any [amd64],
  adduser,
  ${shlibs:Depends},
  ${misc:Depends}

=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-persistenced/nvidia-persistenced-(.*).tar.(?:gz|bz2)

## nvidia-persistenced 440.44

=== debian/changelog ===
nvidia-persistenced (440.44-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2020 00:37:19 +0100

nvidia-persistenced (435.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jan 2020 20:18:24 +0100

nvidia-persistenced (430.64-1) unstable; urgency=medium

  * New upstream release.
  * Build for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Nov 2019 22:35:11 +0100

nvidia-persistenced (430.50-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Oct 2019 13:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,22 @@
  dpkg-dev (>= 1.18.8),
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
 
 Package: nvidia-persistenced
-Architecture: i386 amd64 armhf
+Architecture: i386 amd64 armhf ppc64el
 Multi-Arch: foreign
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 [amd64]
- | libnvidia-legacy-390xx-cfg1
- | libnvidia-legacy-340xx-cfg1
- | libnvidia-cfg1-any [amd64],
+ | libnvidia-tesla-cfg1 [amd64 ppc64el]
+ | libnvidia-legacy-390xx-cfg1 [!ppc64el]
+ | libnvidia-legacy-340xx-cfg1 [!ppc64el]
+ | libnvidia-cfg1-any,
  adduser,
  ${shlibs:Depends},
  ${misc:Depends}

## nvidia-persistenced 460.32.03

=== Makefile ===
--- 
+++ 
@@ -85,9 +85,9 @@
 common_cflags += -I $(NVIDIA_CFG_DIR)
 common_cflags += -I $(NVIDIA_NUMA_DIR)
 common_cflags += -I $(RPC_DIR)
+common_cflags += -I $(OUTPUTDIR)
 common_cflags += -I .
 
-include version.mk
 common_cflags += -DPROGRAM_NAME=\"$(NVIDIA_PERSISTENCED_PROGRAM_NAME)\"
 common_cflags += -D_BSD_SOURCE
 common_cflags += -D_XOPEN_SOURCE=500
@@ -98,6 +98,17 @@
 
 ifneq ($(TARGET_OS),FreeBSD)
   LIBS += -ldl
+endif
+
+PKG_CONFIG ?= pkg-config
+
+USE_TIRPC ?= $(shell $(PKG_CONFIG) --exists libtirpc && echo 1)
+
+ifeq ($(USE_TIRPC),1)
+  TIRPC_LDFLAGS ?= $(shell $(PKG_CONFIG) --libs libtirpc)
+  TIRPC_CFLAGS ?= $(shell $(PKG_CONFIG) --cflags libtirpc)
+  $(call BUILD_OBJECT_LIST,$(SRC)): CFLAGS += $(TIRPC_CFLAGS)
+  LIBS += $(TIRPC_LDFLAGS)
 endif
 
 ##############################################################################
@@ -161,4 +172,4 @@
 	  $< > $@
 
 $(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
-	$(GZIP_CMD) -9f < $< > $@
+	$(GZIP_CMD) -9nf < $< > $@

=== debian/changelog ===
nvidia-persistenced (460.32.03-1) unstable; urgency=medium

  * New upstream release.
  * Restore hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jan 2021 14:28:03 +0100

nvidia-persistenced (455.45.01-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch version to 4. No changes needed.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Jan 2021 16:37:12 +0100

nvidia-persistenced (450.57-1) unstable; urgency=medium

  * New upstream release.
  * Build against libtirpc-dev.
  * Switch to debhelper-compat (= 13).
  * Build for arm64.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jul 2020 17:06:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,29 @@
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dpkg-dev (>= 1.18.8),
+ debhelper-compat (= 13),
+ pkg-config,
+ libtirpc-dev,
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
 
 Package: nvidia-persistenced
-Architecture: i386 amd64 armhf ppc64el
+Architecture: i386 amd64 armhf arm64 ppc64el
 Multi-Arch: foreign
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libnvidia-cfg1 [amd64]
- | libnvidia-tesla-cfg1 [amd64 ppc64el]
- | libnvidia-legacy-390xx-cfg1 [!ppc64el]
- | libnvidia-legacy-340xx-cfg1 [!ppc64el]
+ libnvidia-cfg1 [!i386 !armhf !ppc64el]
+ | libnvidia-tesla-450-cfg1 [amd64 arm64 ppc64el]
+ | libnvidia-tesla-440-cfg1 [amd64 ppc64el]
+ | libnvidia-tesla-418-cfg1 [amd64 ppc64el]
+ | libnvidia-legacy-390xx-cfg1 [amd64 i386 armhf]
+ | libnvidia-legacy-340xx-cfg1 [amd64 i386 armhf]
+ | libnvidia-cfg.so.1
  | libnvidia-cfg1-any,
  adduser,
  ${shlibs:Depends},

## nvidia-persistenced 470.57.02

=== debian/changelog ===
nvidia-persistenced (470.57.02-1) unstable; urgency=medium

  * New upstream release.
  * Add libnvidia-tesla-{470,460}-cfg1 as alternative dependencies.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:06:55 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,8 @@
  ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 [!i386 !armhf !ppc64el]
+ | libnvidia-tesla-470-cfg1 [amd64 arm64 ppc64el]
+ | libnvidia-tesla-460-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-tesla-450-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-tesla-440-cfg1 [amd64 ppc64el]
  | libnvidia-tesla-418-cfg1 [amd64 ppc64el]

## nvidia-persistenced 470.103.01

=== debian/changelog ===
nvidia-persistenced (470.103.01-2~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 23:42:14 +0100

nvidia-persistenced (470.103.01-2) unstable; urgency=medium

  * Drop alternative dependency on libnvidia-tesla-460-cfg1.
    (EoL, switch to libnvidia-tesla-470-cfg1.)
  * Add libnvidia-tesla-510-cfg1 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Mar 2022 12:49:33 +0100

nvidia-persistenced (470.103.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Feb 2022 12:25:41 +0100

nvidia-persistenced (470.82.00-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 11:27:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtirpc-dev,
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
@@ -22,10 +22,9 @@
  ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 [!i386 !armhf !ppc64el]
+ | libnvidia-tesla-510-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-tesla-470-cfg1 [amd64 arm64 ppc64el]
- | libnvidia-tesla-460-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-tesla-450-cfg1 [amd64 arm64 ppc64el]
- | libnvidia-tesla-440-cfg1 [amd64 ppc64el]
  | libnvidia-tesla-418-cfg1 [amd64 ppc64el]
  | libnvidia-legacy-390xx-cfg1 [amd64 i386 armhf]
  | libnvidia-legacy-340xx-cfg1 [amd64 i386 armhf]

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export PREFIX		 = /usr
export DO_STRIP		 =
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
export HOST_CC_ONLY_CFLAGS	 = $(CPPFLAGS)
export OUTPUTDIR	 = _out/debian

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif


AUTOGEN	 = debian/nvidia-persistenced.init debian/nvidia-persistenced.service

debian/nvidia-persistenced.init: init/sysv/nvidia-persistenced.template
	sed s/__USER__/nvpd/ $< > $@

debian/nvidia-persistenced.service: init/systemd/nvidia-persistenced.service.template
	sed s/__USER__/nvpd/ $< > $@


%:
	dh $@

execute_after_dh_auto_build: $(AUTOGEN)
	chmod -R a-sx,u=rwX,go=rX init

execute_after_dh_auto_clean:
	$(RM) $(AUTOGEN)
	$(RM) -r _out

=== debian/watch ===
version=4

https://download.nvidia.com/XFree86/nvidia-persistenced/nvidia-persistenced-(.*).tar.(?:gz|bz2)

## nvidia-persistenced 520.56.06

=== Makefile ===
--- 
+++ 
@@ -58,6 +58,7 @@
 RPC_DIR ?= .
 NVIDIA_CFG_DIR ?= .
 NVIDIA_NUMA_DIR ?= .
+NV_IOCTL_INC_DIR ?= .
 
 ##############################################################################
 # The common-utils directory may be in one of two places: either elsewhere in
@@ -76,14 +77,18 @@
 include $(COMMON_UTILS_DIR)/src.mk
 SRC += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))
 
-# rpcgen generates code that emits unused variable warnings
+# rpcgen generates code that emits unused variable warnings and suspicious
+# function type casts
 $(call BUILD_OBJECT_LIST,$(RPC_SRC)): CFLAGS += -Wno-unused-variable
+suppress_cast_func_type_warning := $(call TEST_CC_ARG,-Wno-cast-function-type)
+$(call BUILD_OBJECT_LIST,$(RPC_SRC)): CFLAGS += $(suppress_cast_func_type_warning)
 
 OBJS = $(call BUILD_OBJECT_LIST,$(SRC))
 
 common_cflags += -I $(COMMON_UTILS_DIR)
 common_cflags += -I $(NVIDIA_CFG_DIR)
 common_cflags += -I $(NVIDIA_NUMA_DIR)
+common_cflags += -I $(NV_IOCTL_INC_DIR)
 common_cflags += -I $(RPC_DIR)
 common_cflags += -I $(OUTPUTDIR)
 common_cflags += -I .

=== debian/changelog ===
nvidia-persistenced (520.56.06-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 10:56:50 +0100

nvidia-persistenced (515.86.01-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 02:57:55 +0100

nvidia-persistenced (510.108.03-1) unstable; urgency=medium

  * New upstream release.
  * Update the list of supported drivers.
  * Do not build for armhf and i386.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 11:53:16 +0100

nvidia-persistenced (510.85.02-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 16:04:26 +0200

nvidia-persistenced (470.129.06-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.
  * Add salsa-ci.yml.
  * Fix bashism in initscript.
  * Bump Standards-Version to 4.6.1. No changes needed.
  * Update Lintian overrides.

  [ Luca Boccassi ]
  * Add patch to fix manpage build reproducibility.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Jun 2022 19:23:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,20 @@
  libtirpc-dev,
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
 
 Package: nvidia-persistenced
-Architecture: i386 amd64 armhf arm64 ppc64el
+Architecture: amd64 arm64 ppc64el
 Multi-Arch: foreign
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 [!i386 !armhf !ppc64el]
- | libnvidia-tesla-510-cfg1 [amd64 arm64 ppc64el]
+ | libnvidia-tesla-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-tesla-470-cfg1 [amd64 arm64 ppc64el]
- | libnvidia-tesla-450-cfg1 [amd64 arm64 ppc64el]
- | libnvidia-tesla-418-cfg1 [amd64 ppc64el]
- | libnvidia-legacy-390xx-cfg1 [amd64 i386 armhf]
- | libnvidia-legacy-340xx-cfg1 [amd64 i386 armhf]
  | libnvidia-cfg.so.1
  | libnvidia-cfg1-any,
  adduser,

## nvidia-persistenced 525.85.05

=== debian/changelog ===
nvidia-persistenced (525.85.05-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 10:47:31 +0100

## nvidia-persistenced 525.147.05

=== debian/changelog ===
nvidia-persistenced (525.147.05-1) unstable; urgency=medium

  * New upstream release.
  * Update the list of supported drivers.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jan 2024 23:34:41 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- libnvidia-cfg1 [!i386 !armhf !ppc64el]
- | libnvidia-tesla-cfg1 [amd64 arm64 ppc64el]
+ libnvidia-cfg1 [!i386 !armhf]
  | libnvidia-tesla-470-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-cfg.so.1
  | libnvidia-cfg1-any,

## nvidia-persistenced 535.171.04

=== debian/changelog ===
nvidia-persistenced (535.171.04-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 17:03:44 +0100

nvidia-persistenced (535.171.04-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 10:51:19 +0100

nvidia-persistenced (530.41.03-1) unstable; urgency=medium

  * New upstream release.
  * Switch B-D from pkg-config to pkgconf.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2024 17:59:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libtirpc-dev,
  m4,
 Rules-Requires-Root: no

## nvidia-persistenced 535.216.01

=== debian/changelog ===
nvidia-persistenced (535.216.01-2) unstable; urgency=medium

  * Create the socket with a umask of 0002 as a workaround for nvidia-smi
    consuming all RAM+SWAP if the nvidia-persistenced socket is writable.
    (Closes: #1092449)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2025 23:46:44 +0100

nvidia-persistenced (535.216.01-1) unstable; urgency=medium

  * New upstream release.
  * Update the list of supported drivers.
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Nov 2024 21:52:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtirpc-dev,
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
@@ -22,7 +22,7 @@
  ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 [!i386 !armhf]
- | libnvidia-tesla-470-cfg1 [amd64 arm64 ppc64el]
+ | libnvidia-tesla-535-cfg1 [amd64 arm64 ppc64el]
  | libnvidia-cfg.so.1
  | libnvidia-cfg1-any,
  adduser,

## nvidia-persistenced 535.230.02

=== Makefile ===
--- 
+++ 
@@ -119,16 +119,19 @@
 ##############################################################################
 # build rules
 ##############################################################################
-.PHONY: all install NVIDIA_PERSISTENCED_install MANPAGE_install clean clobber
 
+.PHONY: all
 all: $(NVIDIA_PERSISTENCED) $(MANPAGE)
 
+.PHONY: install
 install: NVIDIA_PERSISTENCED_install MANPAGE_install
 
+.PHONY: NVIDIA_PERSISTENCED_install
 NVIDIA_PERSISTENCED_install: $(NVIDIA_PERSISTENCED)
 	$(MKDIR) $(BINDIR)
 	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)
 
+.PHONY: MANPAGE_install
 MANPAGE_install: $(MANPAGE)
 	$(MKDIR) $(MANDIR)
 	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(MANDIR)/$(notdir $<)
@@ -141,6 +144,7 @@
 # define the rule to build each object file
 $(foreach src, $(SRC), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))
 
+.PHONY: clean clobber
 clean clobber:
 	$(RM) -rf $(NVIDIA_PERSISTENCED) $(MANPAGE) *~ \
 		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
@@ -152,6 +156,7 @@
 
 AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO_GENERATED!  Edit $< instead."
 
+.PHONY: doc
 doc: $(MANPAGE)
 
 GEN_MANPAGE_OPTS_SRC = gen-manpage-opts.c

=== debian/changelog ===
nvidia-persistenced (535.230.02-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Feb 2025 22:58:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libtirpc-dev,
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git

## nvidia-persistenced 550.163.01

=== Makefile ===
--- 
+++ 
@@ -105,8 +105,6 @@
   LIBS += -ldl
 endif
 
-PKG_CONFIG ?= pkg-config
-
 USE_TIRPC ?= $(shell $(PKG_CONFIG) --exists libtirpc && echo 1)
 
 ifeq ($(USE_TIRPC),1)

=== debian/changelog ===
nvidia-persistenced (550.163.01-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 May 2025 01:40:16 +0200

nvidia-persistenced (545.29.06-1) unstable; urgency=medium

  * New upstream release.
  * Stop building for ppc64el.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 May 2025 19:10:42 +0200

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
  libtirpc-dev,
  m4,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/NVIDIA/nvidia-persistenced
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-persistenced
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-persistenced.git
 
 Package: nvidia-persistenced
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 Multi-Arch: foreign
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  libnvidia-cfg1 [!i386 !armhf]
- | libnvidia-tesla-535-cfg1 [amd64 arm64 ppc64el]
+ | libnvidia-tesla-535-cfg1 [amd64 arm64]
  | libnvidia-cfg.so.1
  | libnvidia-cfg1-any,
  adduser,
